# fix brp-python-bytecompile "invalid syntax"
%define __python	%{python3}

%define api		1.0
%define major		1
%define libname		%mklibname girepository %{api} %{major}
%define develname	%mklibname girepository -d

Name:		gobject-introspection
Version:	1.84.0
Release:	%mkrel 2
Summary:	Introspection system for GObject-based libraries
License:	GPLv2+ and LGPLv2+
Group:		Development/C
URL:		https://wiki.gnome.org/Projects/GObjectIntrospection
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		0001-Fix-linking-against-python3.8.patch
# Workaround for Python 3.12 compatibility
# https://bugzilla.redhat.com/show_bug.cgi?id=2208966
Patch1:		workaround.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(mako)
BuildRequires:	python3dist(markdown)
BuildRequires:	python3dist(pygments)
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	gnome-common
BuildRequires:	libtool
BuildRequires:	gtk-doc

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 1.64-2
# We don't need this in minimal environments...
Recommends:	%{name} >= %{version}-%{release}

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.


#---------------------------------------------------------------
%if "%{_lib}" == "lib64"
%define mark64 ()(64bit)
%else
%define mark64 %nil
%endif

#---------------------------------------------------------------
%define girdbusname %mklibname dbus-gir 1.0

%package -n %{girdbusname}
Summary:	GObject Introspection interface description for dbus
Group:		System/Libraries
Requires:	libdbus-1.so.3%{mark64}

%description -n %{girdbusname}
GObject Introspection interface description for dbus.

%files -n %{girdbusname}
%{_libdir}/girepository-1.0/DBus-1.0.typelib

#---------------------------------------------------------------
%define girdbusglibname %mklibname dbusglib-gir 1.0

%package -n %{girdbusglibname}
Summary:	GObject Introspection interface description for dbusglib
Group:		System/Libraries
Requires:	libdbus-glib-1.so.2%{mark64}

%description -n %{girdbusglibname}
GObject Introspection interface description for dbusglib.

%files -n %{girdbusglibname}
%{_libdir}/girepository-1.0/DBusGLib-1.0.typelib

#---------------------------------------------------------------
%define girgirepositoryname %mklibname girepository-gir 2.0

%package -n %{girgirepositoryname}
Summary:	GObject Introspection interface description for girepository
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girgirepositoryname}
GObject Introspection interface description for girepository.

%files -n %{girgirepositoryname}
%{_libdir}/girepository-1.0/GIRepository-2.0.typelib

#---------------------------------------------------------------
%define girglname %mklibname gl-gir 1.0

%package -n %{girglname}
Summary:	GObject Introspection interface description for OpenGL
Group:		System/Libraries
Requires:	libGL.so.1%{mark64}

%description -n %{girglname}
GObject Introspection interface description for OpenGL.

%files -n %{girglname}
%{_libdir}/girepository-1.0/GL-1.0.typelib

#---------------------------------------------------------------
%define girvulkanname %mklibname vulkan-gir 1.0

%package -n %{girvulkanname}
Summary:	GObject Introspection interface description for OpenGL
Group:		System/Libraries
Requires:	libGL.so.1%{mark64}

%description -n %{girvulkanname}
GObject Introspection interface description for OpenGL.

%files -n %{girvulkanname}
%{_libdir}/girepository-1.0/Vulkan-1.0.typelib

#---------------------------------------------------------------
%define gircaironame %mklibname cairo-gir 1.0

%package -n %{gircaironame}
Summary:	GObject Introspection interface description for cairo
Group:		System/Libraries
Requires:	libcairo.so.2%{mark64}

%description -n %{gircaironame}
GObject Introspection interface description for cairo.

%files -n %{gircaironame}
%{_libdir}/girepository-1.0/cairo-1.0.typelib

#---------------------------------------------------------------
%define girfontconfigname %mklibname fontconfig-gir 2.0

%package -n %{girfontconfigname}
Summary:	GObject Introspection interface description for fontconfig
Group:		System/Libraries
Requires:	libfontconfig.so.1%{mark64}

%description -n %{girfontconfigname}
GObject Introspection interface description for fontconfig.

%files -n %{girfontconfigname}
%{_libdir}/girepository-1.0/fontconfig-2.0.typelib

#---------------------------------------------------------------
%define girfreetypename %mklibname freetype-gir 2.0

%package -n %{girfreetypename}
Summary:	GObject Introspection interface description for freetype
Group:		System/Libraries
Requires:	libfreetype.so.6%{mark64}

%description -n %{girfreetypename}
GObject Introspection interface description for freetype.

%files -n %{girfreetypename}
%{_libdir}/girepository-1.0/freetype2-2.0.typelib

#---------------------------------------------------------------
%define girlibxml2name %mklibname xml2-gir 2.0

%package -n %{girlibxml2name}
Summary:	GObject Introspection interface description for libxml2
Group:		System/Libraries
Requires:	libxml2.so.2%{mark64}

%description -n %{girlibxml2name}
GObject Introspection interface description for libxml2.

%files -n %{girlibxml2name}
%{_libdir}/girepository-1.0/libxml2-2.0.typelib

#---------------------------------------------------------------
%define girxfixesname %mklibname xfixes-gir 4.0

%package -n %{girxfixesname}
Summary:	GObject Introspection interface description for xfixes
Group:		System/Libraries
Requires:	libXfixes.so.3%{mark64}

%description -n %{girxfixesname}
GObject Introspection interface description for xfixes.

%files -n %{girxfixesname}
%{_libdir}/girepository-1.0/xfixes-4.0.typelib

#---------------------------------------------------------------
%define girxftname %mklibname xft-gir 2.0

%package -n %{girxftname}
Summary:	GObject Introspection interface description for xft
Group:		System/Libraries
Requires:	libXft.so.2%{mark64}

%description -n %{girxftname}
GObject Introspection interface description for xft.

%files -n %{girxftname}
%{_libdir}/girepository-1.0/xft-2.0.typelib

#---------------------------------------------------------------
%define girxlibname %mklibname xlib-gir 2.0

%package -n %{girxlibname}
Summary:	GObject Introspection interface description for xlib
Group:		System/Libraries
Requires:	libX11.so.6%{mark64}

%description -n %{girxlibname}
GObject Introspection interface description for xlib.

%files -n %{girxlibname}
%{_libdir}/girepository-1.0/xlib-2.0.typelib

#---------------------------------------------------------------
%define girxrandrname %mklibname xrandr-gir 1.3

%package -n %{girxrandrname}
Summary:	GObject Introspection interface description for xrandr
Group:		System/Libraries
Requires:	libXrandr.so.2%{mark64}

%description -n %{girxrandrname}
GObject Introspection interface description for xrandr.

%files -n %{girxrandrname}
%{_libdir}/girepository-1.0/xrandr-1.3.typelib

#---------------------------------------------------------------
%define girwin32name %mklibname win32-gir 1.0

%package -n %{girwin32name}
Summary:	GObject Introspection interface description for win32
Group:		System/Libraries

%description -n %{girwin32name}
GObject Introspection interface description for win32.

%files -n %{girwin32name}
%{_libdir}/girepository-1.0/win32-1.0.typelib

#---------------------------------------------------------------
%package -n %{develname}
Group:		Development/C
Summary:	GObject Introspection development libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girdbusname} = %{version}-%{release}
Requires:	%{girdbusglibname} = %{version}-%{release}
Requires:	%{girgirepositoryname} = %{version}-%{release}
Requires:	%{girglname} = %{version}-%{release}
Requires:	%{girvulkanname} = %{version}-%{release}
Requires:	%{gircaironame} = %{version}-%{release}
Requires:	%{girfontconfigname} = %{version}-%{release}
Requires:	%{girfreetypename} = %{version}-%{release}
Requires:	%{girlibxml2name} = %{version}-%{release}
Requires:	%{girxfixesname} = %{version}-%{release}
Requires:	%{girxftname} = %{version}-%{release}
Requires:	%{girxlibname} = %{version}-%{release}
Requires:	%{girxrandrname} = %{version}-%{release}
Requires:	%{girwin32name} = %{version}-%{release}
Provides:	libgirepository-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
#gw /usr/bin/libtool is called in giscanner
Requires:	libtool

%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

#---------------------------------------------------------------
%prep
%autosetup -p1
mv giscanner/ast.py giscanner/gio_ast.py

%build
%meson \
	-Ddoctool=enabled \
	-Dgtk_doc=true \
	-Dpython=%{__python3}
%meson_build

%install
%meson_install

# tool was renamed
ln -s g-ir-inspect %{buildroot}%{_bindir}/g-ir-dep-tool

%check
# Needed due to https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/458
%ifnarch %{arm}
%meson_test
%endif

%files
%doc README.rst
%license COPYING
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/giscanner/
%{_bindir}/g-ir-*
%{_datadir}/%{name}-%{api}/
%{_mandir}/man1/g-ir-*

%files -n %{libname}
%license COPYING.*
%dir %{_libdir}/girepository-%{api}
%{_libdir}/libgirepository-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/gobject-introspection-%{api}.pc
%{_libdir}/pkgconfig/gobject-introspection-no-export-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/gir-%{api}
%{_datadir}/gir-%{api}/DBus-1.0.gir
%{_datadir}/gir-%{api}/DBusGLib-1.0.gir
%{_datadir}/gir-%{api}/GIRepository-2.0.gir
%{_datadir}/gir-%{api}/GL-1.0.gir
%{_datadir}/gir-%{api}/Vulkan-1.0.gir
%{_datadir}/gir-%{api}/cairo-1.0.gir
%{_datadir}/gir-%{api}/fontconfig-2.0.gir
%{_datadir}/gir-%{api}/freetype2-2.0.gir
%{_datadir}/gir-%{api}/libxml2-2.0.gir
%{_datadir}/gir-%{api}/xfixes-4.0.gir
%{_datadir}/gir-%{api}/xft-2.0.gir
%{_datadir}/gir-%{api}/xlib-2.0.gir
%{_datadir}/gir-%{api}/xrandr-1.3.gir
%{_datadir}/gir-%{api}/win32-1.0.gir
%{_datadir}/gir-%{api}/gir-1.2.rnc
%{_datadir}/gtk-doc/html/gi/



%changelog
* Sun Mar 16 2025 wally <wally> 1.84.0-2.mga10
+ Revision: 2164837
- rebuild for libxml2 2.13.6

* Sun Mar 16 2025 wally <wally> 1.84.0-1.mga10
+ Revision: 2164667
- new version 1.84.0

* Wed Mar 12 2025 wally <wally> 1.83.4-1.mga10
+ Revision: 2163052
- new version 1.83.4

* Fri Feb 21 2025 wally <wally> 1.82.0-3.mga10
+ Revision: 2150498
- second rebuild for python3.13

* Fri Feb 21 2025 wally <wally> 1.82.0-2.mga10
+ Revision: 2150481
- rebuild for python3.13

* Wed Sep 18 2024 daviddavid <daviddavid> 1.82.0-1.mga10
+ Revision: 2097998
- new version 1.82.0

* Sat Apr 06 2024 daviddavid <daviddavid> 1.80.1-1.mga10
+ Revision: 2055060
- new version 1.80.1

* Mon Mar 18 2024 daviddavid <daviddavid> 1.80.0-2.mga10
+ Revision: 2050329
- rebuild in core/release

* Mon Mar 18 2024 daviddavid <daviddavid> 1.80.0-1.mga10
+ Revision: 2050317
- new version 1.80.0
- glib typelib files moved from gobject-introspection to glib2 in mga10

* Thu Dec 07 2023 wally <wally> 1.78.1-3.mga10
+ Revision: 2014953
- rebuild with non-bootstrap rpm-mageia-setup after py3.12 update

* Thu Dec 07 2023 wally <wally> 1.78.1-2.mga10
+ Revision: 2014808
- rebuild for py3.12

* Thu Sep 21 2023 tv <tv> 1.78.1-1.mga10
+ Revision: 1989180
- Update to 1.74.0

* Mon Apr 24 2023 daviddavid <daviddavid> 1.76.1-2.mga9
+ Revision: 1954634
- disable testsuite on arm until an upstream fix:
  https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/458

* Sun Apr 23 2023 daviddavid <daviddavid> 1.76.1-1.mga9
+ Revision: 1954559
- new version 1.76.1

* Sat Apr 22 2023 tmb <tmb> 1.76.0-1.mga9
+ Revision: 1954059
- update to 1.76.0

* Mon Sep 19 2022 tv <tv> 1.74.0-1.mga9
+ Revision: 1890139
- Update to 1.74.0
- Fix summary

* Fri Mar 18 2022 ovitters <ovitters> 1.72.0-1.mga9
+ Revision: 1798110
- new version 1.72.0

* Tue Mar 15 2022 tv <tv> 1.71.0-1.mga9
+ Revision: 1793235
- Update to 1.71.0

* Sun Feb 06 2022 wally <wally> 1.70.0-2.mga9
+ Revision: 1771907
- rebuild for python3.10

* Sun Jan 09 2022 tv <tv> 1.70.0-1.mga9
+ Revision: 1767422
- 1.70.0

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.68.0-2.mga9
+ Revision: 1739643
- rebuild for libffi

* Thu Mar 25 2021 ovitters <ovitters> 1.68.0-1.mga9
+ Revision: 1709887
- new version 1.68.0

* Tue Mar 16 2021 wally <wally> 1.66.1-3.mga9
+ Revision: 1703796
- build with non-bootstrapped rpm-mageia-setup-build

* Sun Mar 14 2021 wally <wally> 1.66.1-2.mga9
+ Revision: 1702619
- rebuild for python 3.9

* Sat Oct 03 2020 ovitters <ovitters> 1.66.1-1.mga8
+ Revision: 1631998
- new version 1.66.1

* Sat Sep 12 2020 ovitters <ovitters> 1.66.0-1.mga8
+ Revision: 1625331
- new version 1.66.0

* Thu Jun 11 2020 joequant <joequant> 1.64.1-3.mga8
+ Revision: 1592357
- rebuild with new ffi

* Thu Apr 16 2020 ngompa <ngompa> 1.64.1-2.mga8
+ Revision: 1567776
- Move ownership of girepository directory to library subpackage
- Downgrade library dependency on main package to Recommends as it's not needed always

* Sun Apr 05 2020 ovitters <ovitters> 1.64.1-1.mga8
+ Revision: 1564954
- new version 1.64.1

* Sat Mar 07 2020 ovitters <ovitters> 1.64.0-1.mga8
+ Revision: 1554615
- new version 1.64.0

* Tue Feb 18 2020 tv <tv> 1.63.2-1.mga8
+ Revision: 1541775
- 1.63.2

* Sun Feb 16 2020 umeabot <umeabot> 1.62.0-3.mga8
+ Revision: 1531123
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 1.62.0-2.mga8
+ Revision: 1439053
- rebuild for python3.8

* Mon Sep 09 2019 ovitters <ovitters> 1.62.0-1.mga8
+ Revision: 1439023
- new version 1.62.0

* Tue Sep 03 2019 wally <wally> 1.61.2-2.mga8
+ Revision: 1436804
- rebuild for python3.8
- update python3 linking patch for python3.8
- drop old conflicts

* Sat Aug 17 2019 ovitters <ovitters> 1.61.2-1.mga8
+ Revision: 1429599
- new version 1.61.2

* Sat Aug 10 2019 tv <tv> 1.61.1-2.mga8
+ Revision: 1428580
- add vulkan subpkg
- new release (needs to add Vulkan typelib)

* Tue Jul 02 2019 ovitters <ovitters> 1.60.2-1.mga8
+ Revision: 1417614
- new version 1.60.2

* Wed Apr 17 2019 umeabot <umeabot> 1.60.1-2.mga7
+ Revision: 1392600
- Rebuild with meson 0.50.1

* Sun Apr 07 2019 ovitters <ovitters> 1.60.1-1.mga7
+ Revision: 1386657
- new version 1.60.1

* Sun Mar 10 2019 ovitters <ovitters> 1.60.0-1.mga7
+ Revision: 1373650
- new version 1.60.0

* Fri Mar 08 2019 wally <wally> 1.59.5-2.mga7
+ Revision: 1372852
- add patch to fix linking with python3

* Fri Mar 08 2019 ovitters <ovitters> 1.59.5-1.mga7
+ Revision: 1372702
- new version 1.59.5

* Sat Jan 05 2019 wally <wally> 1.58.3-2.mga7
+ Revision: 1349279
- rebuild for python3.7

* Sun Dec 30 2018 ovitters <ovitters> 1.58.3-1.mga7
+ Revision: 1347007
- new version 1.58.3

* Sun Dec 09 2018 ovitters <ovitters> 1.58.2-1.mga7
+ Revision: 1339161
- new version 1.58.2

* Sat Nov 17 2018 ovitters <ovitters> 1.58.1-1.mga7
+ Revision: 1330503
- new version 1.58.1
- dropped merged patch gobject-introspection-meson-install-warnlib.patch

* Sun Oct 28 2018 wally <wally> 1.58.0-4.mga7
+ Revision: 1326376
- switch to meson build
- disable gtk-docs

* Mon Sep 10 2018 tv <tv> 1.58.0-3.mga7
+ Revision: 1258149
- rebuild with fixed rpm & remove __requires_exclude

* Fri Sep 07 2018 tv <tv> 1.58.0-2.mga7
+ Revision: 1257686
- drop filedep on /usr/bin/python

* Fri Sep 07 2018 tv <tv> 1.58.0-1.mga7
+ Revision: 1257657
- new release
+ ovitters <ovitters>
- new version 1.57.3

* Wed Aug 08 2018 guillomovitch <guillomovitch> 1.57.2-1.mga7
+ Revision: 1250215
- new version 1.57.2

* Mon Apr 09 2018 ovitters <ovitters> 1.56.1-1.mga7
+ Revision: 1216431
- new version 1.56.1

* Tue Mar 13 2018 ovitters <ovitters> 1.56.0-1.mga7
+ Revision: 1208856
- new version 1.56.0

* Thu Feb 22 2018 ovitters <ovitters> 1.55.2-1.mga7
+ Revision: 1204239
- new version 1.55.2
- new version 1.55.1

* Mon Oct 02 2017 ovitters <ovitters> 1.54.1-1.mga7
+ Revision: 1162682
- new version 1.54.1

* Mon Sep 11 2017 ovitters <ovitters> 1.54.0-1.mga7
+ Revision: 1152727
- new version 1.54.0

* Tue Sep 05 2017 ovitters <ovitters> 1.53.7-1.mga7
+ Revision: 1151308
- new version 1.53.7

* Tue Aug 22 2017 ovitters <ovitters> 1.53.5-1.mga7
+ Revision: 1142800
- new version 1.53.5
+ tv <tv>
- do not package 8 years old NEWS file

* Mon Apr 10 2017 ovitters <ovitters> 1.52.1-1.mga6
+ Revision: 1096242
- new version 1.52.1

* Thu Mar 23 2017 ovitters <ovitters> 1.52.0-2.mga6
+ Revision: 1094529
- rebuild for gjs?

* Tue Mar 21 2017 ovitters <ovitters> 1.52.0-1.mga6
+ Revision: 1093973
- new version 1.52.0

* Sun Feb 26 2017 daviddavid <daviddavid> 1.50.0-4.mga6
+ Revision: 1087970
- move /usr/share/gobject-introspection-1.0/ dir into the main pkg as
  g-ir-scanner needs gdump.c file to work properly

* Mon Sep 26 2016 tv <tv> 1.50.0-3.mga6
+ Revision: 1056767
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Wed Sep 21 2016 ovitters <ovitters> 1.50.0-2.mga6
+ Revision: 1054955
- provide g-ir-inspect also as its previous name, g-ir-dep-tool
- devel subpackage needs main pkg for g-ir-dep-tool

* Tue Sep 20 2016 ovitters <ovitters> 1.50.0-1.mga6
+ Revision: 1054647
- new version 1.50.0
+ tv <tv>
- fix URL
- new version

* Sun Sep 18 2016 ovitters <ovitters> 1.49.1-1.mga6
+ Revision: 1053840
- new version 1.49.1
- drop merged patch for g-ir-dep tool

* Tue Mar 22 2016 ovitters <ovitters> 1.48.0-1.mga6
+ Revision: 994213
- new version 1.48.0

* Tue Mar 15 2016 tv <tv> 1.47.92-1.mga6
+ Revision: 990765
- drop merged patch
- new release

* Fri Mar 04 2016 pterjan <pterjan> 1.47.1-3.mga6
+ Revision: 985401
- Do not segfault on comments with invalid UTF-8
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 ovitters <ovitters> 1.47.1-1.mga6
+ Revision: 905125
- new version 1.47.1
- patch 1 was merged

* Thu Sep 24 2015 tv <tv> 1.46.0-1.mga6
+ Revision: 882630
- new release

* Sun Aug 23 2015 wally <wally> 1.45.4-1.mga6
+ Revision: 868221
- new version 1.45.4
- drop upstreamed patches

* Wed Jul 08 2015 wally <wally> 1.45.3-9.mga6
+ Revision: 852842
- move giscanner files to the main pkg where the scripts needing them are
- tag docs as such
- move man files to the main pkg where the binaries/scripts also are

* Sat Jul 04 2015 wally <wally> 1.45.3-8.mga6
+ Revision: 849890
- add patch to remove env from python script shebangs
+ ovitters <ovitters>
- add upstream patch to fix build problem

* Sat Jul 04 2015 ovitters <ovitters> 1.45.3-6.mga6
+ Revision: 849821
- workaround build problem
- add patch for better debug mode
- bump release because it doesn't allow me to submit
- new version 1.45.3

* Sun Jun 28 2015 wally <wally> 1.45.2-2.mga6
+ Revision: 846629
- drop g-ir-dep-tool 'lazy loading' patch (mga#16231)

* Sun Jun 21 2015 ovitters <ovitters> 1.45.2-1.mga6
+ Revision: 837945
- new version 1.45.2

* Wed Oct 15 2014 umeabot <umeabot> 1.42.0-3.mga5
+ Revision: 739346
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 wally <wally> 1.42.0-2.mga5
+ Revision: 722497
- use lazy .typelib loading in g-ir-dep-tool

* Tue Sep 23 2014 ovitters <ovitters> 1.42.0-1.mga5
+ Revision: 721231
- new version 1.42.0

* Tue Sep 23 2014 tv <tv> 1.41.91-11.mga5
+ Revision: 720824
- move g-ir-* from devel to main package

* Tue Sep 16 2014 umeabot <umeabot> 1.41.91-10.mga5
+ Revision: 679845
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 1.41.91-9.mga5
+ Revision: 676806
- undo changes as gi-find-deps.sh has been moved back to rpm-mageia-setup

* Mon Sep 15 2014 ovitters <ovitters> 1.41.91-8.mga5
+ Revision: 676742
- devel package requires pcre as gi-find-deps.sh wants pcregrep
- add gobject-introspection BR for typelib auto BR

* Sun Sep 14 2014 tmb <tmb> 1.41.91-7.mga5
+ Revision: 675234
- fix filelists
+ tv <tv>
- rebuild with fixed rpm-mageia-setup-build
- move gi-find-deps.sh into rpm-mageia-setup-build so that g-i can have typelib auto provs
- add upstream URL

* Sat Sep 13 2014 tv <tv> 1.41.91-4.mga5
+ Revision: 675164
- further sync gi-find-deps.sh with SuSe

* Fri Sep 12 2014 tv <tv> 1.41.91-3.mga5
+ Revision: 674877
- revert slow find requires
  (https://build.opensuse.org/package/rdiff/openSUSE:Factory/gobject-introspection?linkrev=base&rev=36)

* Mon Sep 08 2014 tv <tv> 1.41.91-2.mga5
+ Revision: 673746
- add RPM dependency generators for gir/typelib

* Tue Sep 02 2014 ovitters <ovitters> 1.41.91-1.mga5
+ Revision: 670810
- new version 1.41.91

* Tue Jul 22 2014 ovitters <ovitters> 1.41.4-1.mga5
+ Revision: 655536
- new version 1.41.4

* Wed Jun 25 2014 ovitters <ovitters> 1.41.3-1.mga5
+ Revision: 639728
- new version 1.41.3

* Tue Mar 25 2014 ovitters <ovitters> 1.40.0-1.mga5
+ Revision: 608594
- new version 1.40.0

* Wed Feb 19 2014 ovitters <ovitters> 1.39.90-1.mga5
+ Revision: 594802
- new version 1.39.90

* Tue Feb 04 2014 ovitters <ovitters> 1.39.3-1.mga5
+ Revision: 582614
- new version 1.39.3

* Sat Oct 19 2013 umeabot <umeabot> 1.38.0-2.mga4
+ Revision: 536687
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 1.38.0-1.mga4
+ Revision: 485338
- new version 1.38.0

* Wed Aug 21 2013 fwang <fwang> 1.37.6-1.mga4
+ Revision: 468657
- update file list
+ ovitters <ovitters>
- new version 1.37.6

* Sun Jul 28 2013 dams <dams> 1.37.4-1.mga4
+ Revision: 459321
- new version 1.37.4

* Sun Jun 16 2013 wally <wally> 1.36.0-2.mga4
+ Revision: 443701
- fix libxml2 gir typelib pkg name

* Sat May 25 2013 ovitters <ovitters> 1.36.0-1.mga4
+ Revision: 427295
- br gtk-doc
- drop merged patch
  explicitly enable gtk-doc
+ tv <tv>
- new release
- new release

* Tue Jan 15 2013 cjw <cjw> 1.34.2-2.mga3
+ Revision: 388393
- patch1: fix tests with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 1.34.2-1.mga3
+ Revision: 317391
- new version 1.34.2

* Wed Oct 17 2012 ovitters <ovitters> 1.34.1.1-1.mga3
+ Revision: 307719
- new version 1.34.1.1

* Wed Oct 17 2012 ovitters <ovitters> 1.34.1-1.mga3
+ Revision: 307697
- new version 1.34.1

* Mon Oct 01 2012 tv <tv> 1.34.0-2.mga3
+ Revision: 301527
- BR python-mako
- rebuild for new libffi
- build g-ir-doc-tool

* Mon Sep 24 2012 ovitters <ovitters> 1.34.0-1.mga3
+ Revision: 297193
- new version 1.34.0

* Tue Sep 18 2012 ovitters <ovitters> 1.33.14-1.mga3
+ Revision: 295996
- new version 1.33.14

* Tue Sep 04 2012 ovitters <ovitters> 1.33.10-1.mga3
+ Revision: 288098
- new version 1.33.10

* Mon Aug 20 2012 ovitters <ovitters> 1.33.9-1.mga3
+ Revision: 282579
- new version 1.33.9

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.33.4-2.mga3
+ Revision: 278982
- rebuild for libffi

* Thu Jul 19 2012 ovitters <ovitters> 1.33.4-1.mga3
+ Revision: 272649
- drop link patch (does not apply, builds without)
- new version 1.33.4

* Tue Jun 26 2012 ovitters <ovitters> 1.33.3-1.mga3
+ Revision: 264110
- new version 1.33.3

* Tue Apr 17 2012 ovitters <ovitters> 1.32.1-1.mga2
+ Revision: 231238
- new version 1.32.1

* Tue Mar 27 2012 ovitters <ovitters> 1.32.0-1.mga2
+ Revision: 227144
- new version 1.32.0

* Wed Mar 21 2012 ovitters <ovitters> 1.31.22-1.mga2
+ Revision: 225201
- new version 1.31.22

* Mon Mar 05 2012 wally <wally> 1.31.20-1.mga2
+ Revision: 219119
- new version 1.31.20

* Fri Jan 20 2012 fwang <fwang> 1.31.10-1.mga2
+ Revision: 198644
- new version 1.31.10

* Tue Dec 20 2011 wally <wally> 1.31.6-1.mga2
+ Revision: 184942
- new version 1.31.6

* Tue Dec 06 2011 fwang <fwang> 1.31.1-1.mga2
+ Revision: 177209
- new version 1.31.1

* Thu Oct 27 2011 wally <wally> 1.31.0-1.mga2
+ Revision: 158660
- new version 1.31.0

* Wed Sep 21 2011 fwang <fwang> 1.30.0-1.mga2
+ Revision: 146221
- rediff linkage fix
- new version 1.30.0

* Thu Sep 15 2011 fwang <fwang> 1.29.17-2.mga2
+ Revision: 143805
- drop .la files

* Tue Aug 30 2011 fwang <fwang> 1.29.17-1.mga2
+ Revision: 136346
- rediff link patch
- new version 1.29.17
- split out typelibs, and add corresponding lib requires
- convert to pkgconfig style br
+ wally <wally>
- drop hack adapted from Ubuntu as now we have python-gobject3
- new version 1.29.16
- don't regenerate gtk-docs at build time

* Fri Jul 15 2011 dmorgan <dmorgan> 1.29.0-5.mga2
+ Revision: 124445
- Rebuild now that the BS is fixed
+ ahmad <ahmad>
- revert the previous commit, fixed in rpm-setup
- Add a _requires_exceptions for typelib(GOBJ), this isn't an actual typelib
  provides/requires AFAICS (it's a symbol in the shared library)

* Fri Jul 15 2011 wally <wally> 1.29.0-3.mga2
+ Revision: 124387
- follow Ubuntu and roll back to gir/glib-2.0 as of before upstream commit 6d30588c1
  (Later commits have a GVariant which current pygobject does not
  deal with. This is fixed in the invoke-rewrite branch of
  pygobject, so until this lands we need the older annotations)

* Wed Jul 06 2011 cjw <cjw> 1.29.0-2.mga2
+ Revision: 119553
- rebuild for automatic typelib provides

* Wed Jul 06 2011 wally <wally> 1.29.0-1.mga2
+ Revision: 119226
- new version 1.29.0
- use .tar.xz source
- clean .spec a bit

* Tue Jun 14 2011 dmorgan <dmorgan> 0.10.8-3.mga2
+ Revision: 106271
- Fix typo
- We still need .la files for now, so readd them

* Thu Jun 09 2011 dmorgan <dmorgan> 0.10.8-1.mga2
+ Revision: 102516
- New version 0.10.8

* Thu May 05 2011 ahmad <ahmad> 0.10.7-2.mga1
+ Revision: 95168
- Don't ship .la

* Fri Apr 15 2011 ahmad <ahmad> 0.10.7-1.mga1
+ Revision: 85847
- update to 0.10.7

* Sun Mar 27 2011 ahmad <ahmad> 0.10.6-1.mga1
+ Revision: 78094
- update to 0.10.6
- sync with Mandriva:
  o drop libgnomekeyring-and-libgda patch
  o add more linking fixes
  o re-enable checks
- drop the manual requires on ffi5-devel now that rpm-setup has been fixed and
  ffi5-devel is auto-required via pkgconfig requires

* Thu Mar 24 2011 boklm <boklm> 0.10.4-4.mga1
+ Revision: 76150
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.10.4-3.mga1
+ Revision: 72665
- modify the linking patch
- add requires on ffi5-devel in the devel package so that the cflags are exported
  correctly (should fix gjs building)

* Tue Mar 15 2011 ahmad <ahmad> 0.10.4-2.mga1
+ Revision: 72156
- update to 0.10.4
- rediff patches (add one more linking fix)
+ rtp <rtp>
- allow to build without gtk-doc

* Wed Jan 12 2011 dmorgan <dmorgan> 0.9.12-2.mga1
+ Revision: 7041
- imported package gobject-introspection


* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0.9.12-2mdv2011.0
+ Revision: 622231
- rebuild

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 583918
- update to new version 0.9.12

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 582272
- new version

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 581974
- new version
- use tarball generated from git checkout (b.g.o 629871)

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2011.0
+ Revision: 581888
- new version 0.9.7

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-0.20100920.1mdv2011.0
+ Revision: 579937
- disable checks again
- new snapshot
- rediff patch 0
- drop patch 1
- reenable checks

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdv2011.0
+ Revision: 579739
- update patch 2 for libgda

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-4mdv2011.0
+ Revision: 579618
- add workaround for building libgnome-keyring wrapper

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-3mdv2011.0
+ Revision: 578300
- patch to readd --strip-prefix option

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 577675
- add conflict with old gir-repository

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 577166
- new version
- update patch
- disable checks
- update file list

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 565645
- new verison 0.9.3
- fix linkage (gnome#625995)

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 563095
- new version
- new major
- drop patches
- bump glib dep
- update file list

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-5mdv2011.0
+ Revision: 551275
- rearrange packaging to ease upgrades

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.6.10-4mdv2010.1
+ Revision: 540042
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-3mdv2010.1
+ Revision: 536518
- fix build without having gobject-introspection installed

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-2mdv2010.1
+ Revision: 536495
- fix build dep
- new version
- add gimarshallingtests library

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-2mdv2010.1
+ Revision: 525202
- update to new version 0.6.9

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-2mdv2010.1
+ Revision: 524911
- move typelib files to library package

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 517409
- update to new version 0.6.8

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479676
- new version
- update file list
- drop patch 0

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdv2010.1
+ Revision: 476448
- fix crash on x86_64 (b.g.o #604074)
- update to new version 0.6.6

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 432060
- new version

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 420769
- new version
- update deps
- reenable checks

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-0.20090817.1mdv2010.0
+ Revision: 417191
- new snapshot to make the scanner handle uninstalled libs better
- fix file list

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 414454
- add dep on libtool

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 388083
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090616.1mdv2010.0
+ Revision: 386312
- update build deps
- update file list
- new snapshot

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090518.1mdv2010.0
+ Revision: 376840
- update build deps
- git snapshot
- drop patch 0
- rediff patch 1
- update file list
- disable --no-undefined

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 332431
- update build deps
- new version
- add API version
- update file list

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.6.1-3mdv2009.1
+ Revision: 328252
- BR libtool
- let python module link against libpython
- fix str fmt

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 306919
- fix build
- new version
- update file list
- fix source URL

* Sat Nov 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 299138
- new version
- update file list
- new library package for libgirepository-everything

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
+ Revision: 293565
- import gobject-introspection


* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
- initial package
